.editor-row:first-child {
    margin-bottom: 12px;
}

.editor-row > div {
    margin-top: 36px;
}

.editor_wrapper {
    background-color: #ededed;
    border: 2px solid #DDD;
    position: relative;
}

#editor_ui {
    height: 32px;
    padding: 4px 8px;
    display: flex;
    justify-content: center;
}

#editor_zoom {
    -webkit-appearance: none;  /* Override default CSS styles */
    appearance: none;
    width: 250px; /* Full-width */
    height: 25px; /* Specified height */
    background: none; /* Grey background */
    outline: none; /* Remove outline */
    border-radius: 23px;
    border: 1px solid #DDD;
    z-index: 100;
    position: absolute;
}

#editor_zoom:hover {
    opacity: 1;
}

#editor_zoom::-webkit-slider-thumb {
    -webkit-appearance: none; /* Override default look */
    appearance: none;
    width: 50px; /* Set a specific slider handle width */
    height: 23px; /* Slider handle height */
    background: #ef7d00; /* Green background */
    cursor: pointer; /* Cursor on hover */
    border-radius: 23px;
}

#editor_zoom::-moz-range-thumb {
    width: 50px; /* Set a specific slider handle width */
    height: 23px; /* Slider handle height */
    background: #ef7d00; /* Green background */
    cursor: pointer; /* Cursor on hover */
    border-radius: 23px;
}

.editor_ui_zoom {
    position: relative;
    opacity: 0.7;
    width: 250px;
}

.editor_ui_zoom::before {
    content: '';
    background-color: #fff;
}

.editor_ui_zoom:hover {
    opacity: 1;
}

.editor_ui_zoom .range-labels {
    list-style: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 248px;
    height: 23px;
    margin: 3px;
    padding: 0;
    pointer-events: none;
    background-color: #fff;
    border-radius: 23px;

}

.editor_ui_zoom .range-labels li {
    width: 49px;
    height: 23px;
    float: left;
    position: relative;
}

.editor_ui_zoom .range-labels li::before {
    content: '';
    width: 2px;
    height: 13px;
    position: absolute;
    top: 5px;
    left: 24px;
    background: #DDD;
}

.editor_ui_quality {
    position: absolute;
    /* width: 160px; */
    height: 32px;
    left: 4px;
    bottom: 4px;
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 12px;
    padding: 4px 8px 2px 8px;
}

.editor_ui_quality_mobile {
    display: none;
    /* width: 160px; */
    height: 32px;
    left: 4px;
    bottom: 4px;
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 12px;
    padding: 4px 8px 2px 8px;
    margin: 8px 12px;
}

@media all and (max-width: 992px) {
    .editor_ui_quality {
        display: none;
    }
    .editor_ui_quality_mobile {
        display: inline-block;
    }
}

.editor_ui_quality > div,
.editor_ui_quality_mobile > div {
    display: none;
}

.editor_ui_quality.high > div.high,
.editor_ui_quality_mobile.high > div.high {
    display: inline-block;
}

.editor_ui_quality.medium > div.medium,
.editor_ui_quality_mobile.medium > div.medium {
    display: inline-block;
}

.editor_ui_quality.low > div.low,
.editor_ui_quality_mobile.low > div.low {
    display: inline-block;
}

.editor_ui_quality i,
.editor_ui_quality_mobile i {
    font-size: 26px;
    padding-right: 4px;
}

.editor_ui_quality .high i,
.editor_ui_quality_mobile .high i {
    color: #59BA41;
}

.editor_ui_quality .medium i,
.editor_ui_quality_mobile .medium i {
    color: #ef7d00;
}

.editor_ui_quality .low i,
.editor_ui_quality_mobile .low i {
    color: #dc3545;
}

.editor_ui_quality div,
.editor_ui_quality_mobile div {
    font-size: 14px;
    color: rgb(85, 85, 85);
    line-height: 26px;
    vertical-align: middle;
    height: 100%;
}

#zoom_value {
    width: 50px;
    height: 23px;
    color: #fff;
    position: absolute;
    z-index: 200;
    font-family: Roboto, sans-serif;
    font-size: 12px;
    pointer-events: none;
    margin: 3px;
    text-align: center;
    line-height: 24px;
}

.editor-border-types {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
}

.editor-border-type {
    background-color: #ededed;
    width: calc(50% - 4px);
    margin-bottom: 4px;
    padding: 2px;
    cursor: pointer;
    border: 2px solid #ededed;
    border-radius: 3px;
}
.editor-border-type label {
    margin: 0;
}

.editor-border-type input {
    pointer-events: none;
}

.editor-border-type:hover {
    background-color: #ddd;
}

.editor-border-type.selected {
    border-color: #ef7d00;
}

.editor-row > div > div:not(:first-child):not(:nth-child(2)) {
    margin-top: 12px;
}

#editor_uploader {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #ededed;
}

#editor_uploader > div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#editor_processing {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #ededed;
}

#editor_processing > div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.fileinput-editor-area {
    /*border: 1px dashed #ccc;*/
    /* border: 1px solid #ef7d00; */
    /*background-color: #f5f5f5;*/
    background-color: #ef7d00;
    border: none;
    border-radius: 3px;
    border-bottom: 3px solid rgba(0,0,0,0.15);
    padding: 10px 26px;
    margin: 5px;
    text-align: center;
    text-transform: uppercase;
    cursor: pointer;
    position: relative;
    /* height: 54px; */
    display: inline-block;
    overflow: hidden;
    /* width: 200px; */
    outline: none;
    white-space: nowrap;
    color: #FFF;
    font-size: 20px;
    font-weight: 600;
    line-height: 36px;
    letter-spacing: 1px;
    text-shadow: 1px 1px 1px rgb(0 0 0 / 20%);
}

.fileinput-editor-area.loading {
    /* border: 1px dashed #ccc; */
    /* background-color: #f5f5f5; */
    background-color: #59BA41;
}

.fileinput-editor-area .label {
    /*color: #999;*/
    color: #fff;
    font-size: 20px;
    font-weight: 600;
    /* position: absolute; */
    /* left: 0; */
    /* top: 0; */
    /* width: 100%; */
    /* padding: 0; */
    line-height: 36px;
    /* z-index: 20; */
}

.fileinput-editor-area .label i {
    margin-right: 5px;
}

.fileinput-editor-area.loading .label {
    /* color: #999; */
}

.fileinput-editor-area input {
    display: none;
}

.fileinput-editor-area .fa-exclamation-circle {
    display: none;
}

.fileinput-editor-area:hover, .fileinput-editor-area.drag-over {
    /*border: 1px solid #ef7d00;*/
    opacity: 0.9;
}

.fileinput-editor-area:hover .label {
    /*color: #ef7d00;*/
}

.fileinput-editor-area.uploading {
    /* border: 1px solid #59BA41; */
    background-color: #59BA41;
}

.fileinput-editor-area.uploading .label {
    /* color: #59BA41; */
}

.fileinput-editor-area .bytes {
    display: none;
}

.fileinput-editor-area.uploading .bytes {
    display: block;
    color: #ededed;
    /* margin-top: 22px; */
}

.fileinput-editor-area .loader {
    width: 0;
    height: 100%;
    background-color: #59BA41;
    display: block;
    top: 0;
    left: 0;
    z-index: 10;
    position: absolute;
    opacity: 0.3;
}

.fileinput-editor-area.uploading i {
    display: none;
}

.fileinput-editor-area.error {
    background-color: #dc3545;
    /* border: 1px solid #dc3545; */
    /* background: none; */
    /* overflow: visible; */
}

.fileinput-editor-area.error .label {
    /* font-size: 16px; */
    /* padding-top: 10px; */
    /* line-height: 24px; */
}

.fileinput-editor-area.error .text {
    white-space: break-spaces;
}

.fileinput-editor-area.error .label {
    /* color: #dc3545; */
}

.fileinput-editor-area.error .fa-upload {
    display: none;
}

.fileinput-editor-area.error .fa-exclamation-circle {
    display: inline-block;
}

#fileupload_editor {
    display: none;
}

.editor-rec-sizes {
    margin-top: 12px !important;
    cursor: pointer;
}

.editor-rec-sizes-head {
    border: 1px solid #ddd;
    background-color: #ededed;
    padding: 4px 8px;
    height: 28px;
}

.editor-rec-sizes-head label {
    margin: 0px 4px;
    float: left;
}

.editor-rec-sizes-head i {
    float: right;
    line-height: 20px;
}

.editor-rec-sizes-body {
    /* border: 1px solid #ddd; */
    border-top: none;
    overflow-y: scroll;
    max-height: 240px;
}

.editor-rec-sizes-body table {
    width: 100%;
    margin: 0;
}

.editor-rec-sizes-body table th {
    padding: 8px 8px;
}

.editor-rec-sizes-body table th:first-child {
    border-left: 1px solid #ddd;
}

.editor-rec-sizes-body table th:last-child {
    border-right: 1px solid #ddd;
}

.editor-rec-sizes-body table td {
    padding: 4px 8px;
}

.editor-rec-sizes-body table td:first-child {
    padding: 4px 0px 4px 8px;
}

.editor-rec-sizes-body table td:nth-child(3) {
    padding: 4px 1px;
}

.editor-rec-sizes-body table td:nth-child(3) i {
    font-size: 28px;
}

.editor-rec-sizes-body table th:nth-child(3),
.editor-rec-sizes-body table td:nth-child(3) {
    text-align: center;
}

.editor-rec-sizes-body table tr td {
    border-top: 1px solid #ddd;
}

.editor-rec-sizes-body table tr td:first-child {
    border-left: 1px solid #ddd;
}

.editor-rec-sizes-body table tr td:last-child {
    border-right: 1px solid #ddd;
}

.editor-rec-sizes-body table tr:last-child td {
    border-bottom: 1px solid #ddd;
}

.editor-rec-sizes-body table tr.active td {
    border-color: #ef7d00;
    border-bottom: 1px solid #ef7d00;
    background-color: #f5f5f5;
}

.editor-rec-sizes-body table tr:hover td {
    background-color: #ededed;
}

.editor-rec-sizes-body table tbody tr td i.high {
    color: #59BA41;
}

.editor-rec-sizes-body table tbody tr td i.medium {
    color: #ef7d00;
}

.editor-rec-sizes-body table tbody tr td i.low {
    color: #dc3545;
}

.editor_ui_rotate {
    padding-left: 10px;
}

.editor_ui_rotate button {
    background-color: #ffffff;
    color: #ef7d00;
    border: 1px solid #ddd;
    border-radius: 8px;
}

@media all and (max-width: 992px) {
    .editor_holder {
        position: relative;
    }

    .editor_wrapper {
        position: absolute;
        width: 100vw;
        left: 0;
    }

    .editor-col {
        padding: 0;
    }
}

.editor-disabled-overflow {
    position: absolute;
    background-color: rgba(255, 255, 255, 0.5);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 500;
    display: none;
}

.editor-disabled-overflow.active {
    display: block;
}

.proceed_wrapper .editor_size_warning,
.proceed_wrapper .editor_empty_warning,
.proceed_wrapper .editor_quality_warning {
    display: none;
}

.proceed_wrapper.quality-warning .editor_quality_warning {
    display: inline;
}

.proceed_wrapper.quality-warning .default {
    display: none !important;
}

.proceed_wrapper.size-warning .editor_size_warning {
    display: inline;
}

.proceed_wrapper.size-warning .default,
.proceed_wrapper.size-warning .editor_quality_warning {
    display: none !important;
}

.proceed_wrapper.empty-warning .editor_empty_warning {
    display: inline;
}

.proceed_wrapper.empty-warning .default,
.proceed_wrapper.empty-warning .editor_size_warning,
.proceed_wrapper.empty-warning .editor_quality_warning {
    display: none !important;
}